Bug 461119 - Review Request: libtiger - Rendering library for Kate streams using Pango and Cairo
Review Request: libtiger - Rendering library for Kate streams using Pango and...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On: 458714
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 07:46 EDT by Nicolas Chauvet (kwizart)
Modified: 2010-12-10 09:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-05 12:41:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-09-04 07:46:53 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/libtiger.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/libtiger-0.1.1-1.fc8.kwizart.src.rpm
Description: Rendering library for Kate streams using Pango and Cairo
Comment 1 Orcan Ogetbil 2009-04-10 15:55:11 EDT
Could you update this to the latest version? While you are there you can fix the %{_docdir}/%{name}-%{version} issue. Also, you don't need to add %doc when you are using %{_docdir}
Comment 2 Nicolas Chauvet (kwizart) 2009-04-10 16:07:52 EDT
Thx for taking a preliminary review but libtiger isn't considered as ready for wide use at this time by upstream.

I will fix/update the package anyway.
Comment 3 Nicolas Chauvet (kwizart) 2009-11-30 17:31:59 EST
SRPM: http://kwizart.fedorapeople.org/review/libtiger-0.3.3-1.fc11.src.rpm
SPEC: http://kwizart.fedorapeople.org/review/libtiger.spec
Summary: Rendering library for Kate streams using Pango and Cairo

This package is known to be in usable state from upstream. (remove NotReady on Whiteboard)

This package is open for review.
Comment 4 Thomas Spura 2009-12-23 13:10:31 EST
It would be easier to remove %{buildroot}%{_docdir} and add '%doc doc/html' to the %files devel section...

Furthermore docs need to be installed in %{_docdir}/%{name}-%{version}. The above would fix this issue, too.
Comment 5 Nicolas Chauvet (kwizart) 2009-12-27 06:14:25 EST
I will fix
Is this a full review ?
Comment 6 Thomas Spura 2009-12-27 11:02:03 EST
(In reply to comment #5)
> I will fix
> Is this a full review ?  

No. I didn't want to do a full review, when %files is not yet in final state; but will do the rest of it now...


REVIEW:

Good:
- Group ok
- name ok
- description ok
- removing *.la, ok
- no static libs
- libs correctly packaged (ldconfig...)
- timestamps ok
- parallel make
- rpmlint clean
- builds in koji
  https://koji.fedoraproject.org/koji/taskinfo?taskID=1892775


Needswork:
- License is wrong:
  Why BSD? There are LGPLv2+ headers and COPYING.
- %files
  Will check for permissions and so on later.
- BR: - cairo-devel is missing, gets pulled in by pango-devel, but I wouldn't
                                trust that...
      - check for >= 0.2.7 is not needed anymore, but ok
- How about including the examples into -devel, too?
Comment 7 Nicolas Chauvet (kwizart) 2010-01-26 17:42:24 EST
SRPM: http://kwizart.fedorapeople.org/review/libtiger-0.3.3-2.fc11.src.rpm
SPEC: http://kwizart.fedorapeople.org/review/libtiger.spec
Summary: Rendering library for Kate streams using Pango and Cairo

Changelog
- Split doc subpackage (with example)
- Change License Tag (was LGPL)

I've splitted into a -doc subpackage to avoid multilib conflicts with html files generated at build time by doxygen.

Thx for the review, and sorry for the late answear.
Comment 8 Thomas Spura 2010-01-26 18:22:30 EST
(In reply to comment #7)
> Thx for the review, and sorry for the late answear.    

Indeed, pretty bad. Need to to the review from scratch ;)

Addings to the review in comment 6:

- permissions ok
- examples noarch ok
- license is ok


###################################

One thing left:
Please use:
%files doc
%defattr(-,root,root,-)
%doc examples __doc/html

and not
%doc examples __doc/*

This will leave out AUTHORS ChangeLog... which are already in the main package.
(No need to include them twice in two different packages.)


###################################

APPROVED
Comment 9 Nicolas Chauvet (kwizart) 2010-01-28 18:31:34 EST
New Package CVS Request
=======================
Package Name: libtiger
Short Description: Rendering library for Kate streams using Pango and Cairo
Owners: kwizart
Branches: F-12 F-11
Comment 10 Kevin Fenzi 2010-01-31 13:02:05 EST
CVS done (by process-cvs-requests.py).
Comment 11 Nicolas Chauvet (kwizart) 2010-02-05 12:41:01 EST
Thx for your review, the package was finally imported.
Comment 12 Nicolas Chauvet (kwizart) 2010-12-09 12:23:25 EST
Package Change Request
======================
Package Name: libtiger
New Branches: el5 el6
Owners: kwizart
Comment 13 Jason Tibbitts 2010-12-10 09:41:10 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.